CGI::Session::Driver::db_file(3)

NAME
CGI::Session::Driver::db_file - CGI::Session driver for BerkeleyDB using DB_File

SYNOPSIS
    $s = CGI::Session->new("driver:db_file", $sid);
    $s = CGI::Session->new("driver:db_file", $sid, {FileName=>'/tmp/cgisessions.db'});

DESCRIPTION
db_file stores session data in BerkelyDB file using DB_File - Perl module. All sessions will be stored in a single file, specified in FileName driver argument as in the above example. If FileName isn't given, defaults to /tmp/cgisess.db, or its equivalent on a non-UNIX system.

If the directory hierarchy leading to the file does not exist, will be created for you.

This module takes a UMask option which will be used if DB_File has to create the database file for you. By default the umask is 0660.

LICENSING
For support and licensing information see CGI::Session